package abstractFactory.jcooper;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class VegetableGardenFactoryTeam extends AbstractGardenFactoryTeam {

	public class shadeCreator {
		public Plant makeShade() {
			return new Plant("Broccoli");
		}
	}

	public class centerCreator {
		public Plant makeCenter() {
			return new Plant("Corn");
		}
	}

	public class borderCreator {
		public Plant makeBorder() {
			return new Plant("Peas");
		}
	}

}
