package bridge.jcooper;

import java.util.Collections;
import java.util.Vector;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class BridgeTeam {

	protected class SortProducts4List playedBy ProductList {
		Vector<String> getProducts() -> get Vector<String> _products;

		public abstract void setProducts(Vector<String> prod);
		setProducts -> setProducts;

		private void sortV() {
			Vector<String> tmp = new Vector<String>(getProducts());
			Collections.sort(tmp);
			setProducts(tmp);
		}	
		sortV <- before init;	
	}

	protected class SortProducts4Table playedBy ProductTable {
		Vector<String> getProducts() -> get Vector<String> _products;

		public abstract void setProducts(Vector<String> prod);
		setProducts -> setProducts;

		private void sortV() {
			Vector<String> tmp = new Vector<String>(getProducts());
			Collections.sort(tmp);
			setProducts(tmp);
		}	
		sortV <- before init;
	}

}
