/*
   28 de Jun de 2010
*/
package builder.jcooper;

import java.awt.Panel;

/**
 * @author Miguel P. Monteiro
 */
public interface IBuilder {
	/**
	 * return a Panel of components
	 */
	public abstract Panel getUI();

	/**
	 * get list of items
	 */
	public abstract String[] getSelected(); 

	/**
	 * clear selections
	 */
	public abstract void clearAll();
}
