package chain_of_responsibility.jcooper;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.TitledBorder;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */

public class Sender extends JPanel implements ActionListener {
	private static final long serialVersionUID = 0L;

	private JTextField tx;
	private JButton Send;

	public Sender() {
		setLayout(new GridLayout(2, 1));
		JPanel tp = new JPanel();
		JPanel bp = new JPanel();
		add(tp);
		add(bp);
		tx = new JTextField(10);
		tp.add(tx);
		Send = new JButton("Send");
		bp.add(Send);
		Send.addActionListener(this);
		setBorder(new TitledBorder("Send commands"));
	}

	public void actionPerformed(ActionEvent e) {

	}

	public void sendToChain(String mesg) {
	} // this one does nothing

}
