package command.hk;

/**
 * Defines the interface for <i>ICommand</i> objects.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public abstract class AbstractCommand {

	/**
	 * Executes the command.
	 */
	public abstract void executeCommand();
}
