package command.hk;

/**
 * Implements a sample command. This one prints a short message to
 * <code>System.out</code> whenever it executes. The message is
 * <quote>"ButtonCommand executed"</quote>.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class ButtonCommand extends AbstractCommand {
	/**
	 * Implements a sample command. This one prints a short message to
	 * <code>System.out</code> whenever it executes. The message is
	 * <quote>"ButtonCommand executed"</quote>.
	 */
	public void executeCommand() {
		System.out.println("ButtonCommand executed");
	}
}
