package composite.jcooper;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Employee {
	private String name;
	private float salary;

	public Employee(String _name, float _salary) {
		name = _name;
		salary = _salary;
	}

	public Employee(Employee _parent, String _name, float _salary) {
		name = _name;
		salary = _salary;
	}

	public float getSalary() {
		return salary;
	}

	public String getName() {
		return name;
	}
}