package facade.hk;

/**
 * Implements a static method that returns a decorator string.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Decoration {

	/**
	 * Provides a decorator string consisting of stars ("*").
	 * 
	 * @returns a decorator string made up of stars
	 */
	public static String getDecoration() {
		return "*******************************************";
	}
}
