package facade.hk;

/**
 * Implements a low-level interface for printing to System.out.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class RegularScreen {
	/**
	 * Prints a string to System.out.
	 * 
	 * @param s
	 *            the string to print
	 */
	public static void print(String s) {
		System.out.print(s);
	}

	/**
	 * Prints a newline to System.out.
	 */
	public static void newline() {
		System.out.println();
	}
}