package facade.hk;

/**
 * Implements basic string manipulation facilities.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class StringTransformer {

	/**
	 * Transforms a string to upper case
	 * 
	 * @param s
	 *            the string to transform
	 * @returns the transformed string
	 */
	public static String transformToUpper(String s) {
		return s.toUpperCase();
	}

	/**
	 * Transforms a string to lower case
	 * 
	 * @param s
	 *            the string to transform
	 * @returns the transformed string
	 */
	public static String transformToLower(String s) {
		return s.toLowerCase();
	}
}
