package factoryMethod.hk;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComponent;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class ButtonCreatorTeam extends GUIComponentCreatorTeam {

	public class Product {
		public JComponent newProduct() {
			final JButton button = new JButton("Click me!");
			button.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					button.setText("Thank you!");
				}
			});
			return button;
		}

		public String getTitle() {
			return "Example 1: A JButton";
		}
	}

	public Product createProduct() {
		return new Product();
	}
}
