/*
   24 de Jun de 2010
*/
package factoryMethod.jcooper;

/**
 * @author Miguel P. Monteiro, based on information from Cooper's book.
 */
public class Main {
	private static void printHelpMessage() {
		System.out.println("Factory Method design pattern");
		System.out.println();
		System.out.println("Intent: Define an interface for creating an object, but let");
		System.out.println("subclasses decide which class to instantiate.");
		System.out.println("Factory Method lets a class defer instantiation to subclasses.");
		System.out.println();
		System.out.println("An operation extracts the first and last names from a text field,");
		System.out.println("depending on whether it contains a comma. If it contains a comma,");
		System.out.println("The format <last>, <first> is assumed. If it doesn't, first name");
		System.out.println("is assumed to be the 1st word and the last name the last word");
		System.out.println();
	}
	public static void main(String[] args) {
		printHelpMessage();
		new Window4FactoryMethod(new NamerFactoryTeam());
	}
}
