package jcooper_support;

import java.util.*;

//import com.sun.org.apache.bcel.internal.generic.LNEG;

public class Kid {
	private String _firstName, _lastName, _club;
	private int _age;
	private float _time;

	public Kid(String line) {
		StringTokenizer tok = new StringTokenizer(line);

		/*String lnum =*/ tok.nextToken();
		_firstName = tok.nextToken();
		_lastName = tok.nextToken();
		_age = new Integer(tok.nextToken()).intValue();
		_club = tok.nextToken();
		_time = new Float(tok.nextToken()).floatValue();
	}

	public Object getData(int key) {
		switch (key) {
		case ParseVar.FRNAME:
			return _firstName;
		case ParseVar.LNAME:
			return _lastName;
		case ParseVar.CLUB:
			return _club;
		case ParseVar.AGE:
			return new Integer(_age);
		case ParseVar.TIME:
			return new Float(_time);
		}

		return null;
	}

	public int getAge() {
		return _age;
	}

	public float getTime() {
		return _time;
	}

	public String getFrname() {
		return _firstName;
	}

	public String getLname() {
		return _lastName;
	}

	public String getClub() {
		return _club;
	}
	public String toString() {
		return "Kid " + _firstName + " " + _lastName;
	}
}
