package mediator.hk;

import javax.swing.*;

/**
 * Basically a JLabel. In the Java and AspectJ versions it acts as Mediator.
 * Here, it is part of the Mediator team's state.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Label extends JLabel {
	private static final long serialVersionUID = 0L;

	/**
	 * Creates a new Label object with the provided name.
	 * 
	 * @param s
	 *            the tag for the new Label object
	 */
	public Label(String s) {
		super(s);
	}
}
