/*
   25 de Mai de 2011
*/
package memento.hk.decapsulation;

/**
 * @author Miguel P. Monteiro
 */
public team class MementoTeam {
	protected class Memento playedBy Counter {
		private int _state;

		private int getOriginatorState() -> get int currentValue;

		private abstract void setOriginatorState(int newValue);
		setOriginatorState -> set currentValue;

		public void setMementoState() {
			_state = getOriginatorState();
		}
		public void recoverMementoState() {
			setOriginatorState(_state);
		}
	}
	private Memento _memento;

	public void createMemento(Counter as Memento memento) {
		_memento = memento;
		_memento.setMementoState();
	}
	public void setState() {
		_memento.recoverMementoState();
	}
}
