package observer.hk;

import observer.ObserverProtocol;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class ScreenObserver extends ObserverProtocol {
	//- s5 observes s2's and s4's display()

	public class Subject playedBy Screen {
		notifyObservers <- after display;
	}

	public class Observer playedBy Screen {
		update -> refresh;
	}

	public void addObserver(Screen as Observer obs, Screen as Subject sub) {
		sub.addObserver(obs);
	}
}
