package singleton.hk;
/**
 * Implements a sample subclass of the Singleton class. This class is to test
 * whether subclasses can still access the Singleton's constructor.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class PrinterSubclass extends PrinterSingleton {
	/**
	 * Creates an instance of this class by calling super().
	 */
	public PrinterSubclass() {
		super();
	}
}
