package state.jcooper;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Rectangle;
/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 */
public class Drawing {
	private Rectangle _rectangle;

	protected int x, y, w, h;
	protected boolean selected;
	protected boolean filled;
	protected Color fillColor;

	public void setSelected(boolean b) {
		selected = b;
	}
	public void draw(Graphics g) {
	}
	public void move(int xpt, int ypt) {
		x = xpt;
		y = ypt;
	}
	public boolean contains(int x, int y) {
		return _rectangle.contains(x, y);
	}
	protected void saveAsRect() {
		_rectangle = new Rectangle(x - w / 2, y - h / 2, w, h);
	}
	protected void setFill(Color c) {
		filled = true;
		fillColor = c;
	}
}
