/*
   11 de Nov de 2010
*/
package strategy.hk;

/**
 * It will sort an int array with a provided sorting strategy. The 
 * implementation of the <code>sort(int[])</code> method is provided 
 * by the role Context played in the SortingStrategyTeam.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Sorter {
	private int[] _numbers;

	public Sorter(int[] numbers) {
		_numbers = numbers;
	}

	/**
	 * Returns the content of the int array in a string
	 * 
	 * @param numbers
	 *            the int array to display
	 * @returns a string with all the ints from the array
	 */
	public String show() {
		String out = "";
		for (int i = 0; i < _numbers.length; i++) {
			out += (_numbers[i] + " ");
		}
		return out;
	}
	public void sort() {}
}
