package templateMethod.jcooper;

import java.awt.Color;
import java.awt.Point;

import jcooper_support.JxFrame;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Window4TemplateMethod extends JxFrame {
	static final long serialVersionUID = 0L;
	StandardTriangle triangle, triangle1;
	IsocelesTriangle isolelesTriangle;

	public Window4TemplateMethod() {
		super("Draw triangles");
		TPanel tp = new TPanel();
		triangle = new StandardTriangle(new Point(10, 10), new Point(150, 50), new Point(
				100, 75));
		isolelesTriangle = new IsocelesTriangle(new Point(150, 100), new Point(240, 40),
				new Point(175, 150));
		triangle1 = new StandardTriangle(new Point(150, 100), new Point(240, 40),
				new Point(175, 150));
		tp.addTriangle(triangle);
		// tp.addTriangle(it);
		tp.addTriangle(triangle1);
		getContentPane().add(tp);
		setSize(300, 200);
		setBackground(Color.white);
		setVisible(true);
	}
}
