package visitor.jcooper1;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Employee {
	private int _sickDays, _vacationDays;
	private float _salary;
	private String _name;

	public Employee(String name, float salary, int vacdays, int sickdays) {
		_vacationDays = vacdays;
		_sickDays = sickdays;
		_salary = salary;
		_name = name;
	}

	public String getName() {
		return _name;
	}

	public int getSickdays() {
		return _sickDays;
	}

	public int getVacDays() {
		return _vacationDays;
	}

	public float getSalary() {
		return _salary;
	}

}