/*
   22 de Mai de 2010
*/
package visitor.jcooper2;

/**
 * @author Miguel P. Monteiro
 */
public team class EmployeeVacationVisitorTeam {
	protected class EmployeeRole playedBy Employee {
		public abstract int getTotalDays();
		getTotalDays -> getVacDays;
	}
	protected class BossRole extends EmployeeRole playedBy Boss {
		public abstract int getTotalDays();
		getTotalDays -> getVacDays;
	}
	public int getDays4AllStaff(Employee[] as EmployeeRole[] employees) {
		int days4AllStaff = 0;
		for (int i = 0; i < employees.length; i++) {
			days4AllStaff += employees[i].getTotalDays();
		}
		return days4AllStaff;
	}
}
