package abstractFactory.hk;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class RegularFactoryTeam extends ComponentFactoryTeam {
	protected class RLabel {
		public RLabel(String label) {
			super("This Label was created by " + RegularFactoryTeam.this.getName());
		}
	}

	/**
	 * Returns the name of the factory.
	 * 
	 * @return the name of the factory
	 */
	public String getName() {
		return ("Regular Factory");
	}
}
