package adapter.hk;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class PrinterAdapterTeam {

	/* 
	 * This role implements a desired interface to adapt the base class to it.
	 */
	public class Adapter implements Writer playedBy SystemOutPrinter {
		//Delegation of method from Writer interface to base class
		write -> printToSystemOut;
	}

	public Adapter getAdapted(SystemOutPrinter as Adapter adapter) {
		return adapter;
	}
}
