package bridge.hk;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class StarImplementation extends ScreenImplementation {

	/**
	 * Does a line feed (to System.out).
	 */
//	public void printLine() {
//		System.out.println();
//	}

	/**
	 * Prints a star ("*") to System.out.
	 */
	public void printDecor() {
		System.out.print("*");
	}

	/**
	 * Prints the argument text to System.out.
	 * 
	 * @param text
	 *            the text to print
	 */
	public void printText(String text) {
		System.out.print(text);
	}
}
