package bridge.jcooper;

import java.util.Vector;
import javax.swing.JScrollPane;
import javax.swing.JTable;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class ProductTable extends JScrollPane {
	private static final long serialVersionUID = 0L;
	private JTable _table;

	/**
	 * Joo Gomes:
	 * Isto pode ser tirado daqui, se puder mudar o objecto original e nao uma
	 * cpia dele. Passo a nao poder fazer operaes diferentes a data, para
	 * diferentes janelas.
	 * 
	 * English: this field could be removed if I could modify the original
	 * object and not just a copy of it.  
	 */ 
	private Vector<String> _products;

	public ProductTable(Vector<String> products) {
		setProducts(products);
		init();
	}

	public void init() {
		_table = new JTable(new ProductModel(_products));
		getViewport().add(_table);
	}

	public void setProducts(Vector<String> prods) {
		this._products = prods;
	}
}

//class ProdModel implements TableModel {
//	int rows, columns;
//	Vector<String> prodNames, quantities;
//
//	public ProdModel(Vector<String> products) {
//		rows = products.size();
//		columns = 2;
//		prodNames = new Vector<String>();
//		quantities = new Vector<String>();
//		for (int i = 0; i < products.size(); i++) {
//			String s = (String) products.elementAt(i);
//			int index = s.indexOf("--"); // separate qty from name
//			if (index > 0) {
//				prodNames.addElement(s.substring(0, index));
//				quantities.addElement(s.substring(index + 2).trim());
//			} else
//				prodNames.addElement(s);
//		}
//	}
//
//	public int getColumnCount() {
//		return columns;
//	}
//
//	public int getRowCount() {
//		return rows;
//	}
//
//	public Object getValueAt(int r, int c) {
//		switch (c) {
//		case 0:
//			return prodNames.elementAt(r);
//		case 1:
//			return quantities.elementAt(r);
//		default:
//			return prodNames.elementAt(r);
//		}
//	}
//
//	public Class getColumnClass(int c) {
//		return (new String("")).getClass();
//	}
//
//	public boolean isCellEditable(int r, int c) {
//		return false;
//	}
//
//	public String getColumnName(int c) {
//		return "";
//	}
//
//	public void setValueAt(Object obj, int r, int c) {
//	}
//
//	public void addTableModelListener(TableModelListener tbm) {
//	}
//
//	public void removeTableModelListener(TableModelListener tbm) {
//	}
//}
