package chain_of_responsibility.jcooper;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class ColorImage extends JPanel {
	private static final long serialVersionUID = 0L;

	public ColorImage() {
		super();
		setBorder(new LineBorder(Color.black));
	}

	private Color getColor(String mesg) {
		String lmesg = mesg.toLowerCase();
		Color c = null;
		if (lmesg.equals("red"))
			c = Color.red;
		if (lmesg.equals("blue"))
			c = Color.blue;
		if (lmesg.equals("green"))
			c = Color.green;
		return c;
	}

}
