package chain_of_responsibility.jcooper;

import java.awt.*;
import javax.swing.border.*;

import jcooper_support.JawtList;


/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class RestList extends JawtList {
	private static final long serialVersionUID = 0L;

	public RestList() {
		super(10); // arg to JawtList
		setBorder(new LineBorder(Color.black));
	}

	public void repaint() {
		super.repaint();
	}

}
