package command.hk;

import command.CommandProtocol;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class CommandTeam extends CommandProtocol {

	public class Invoker playedBy Button {
		public void callCommand() {
			getCommand(this).execute(this);
		}
		callCommand <- before clicked;
	}

	public class Command playedBy AbstractCommand {
		execute -> executeCommand;
	}

	public void setCommand(Button as Invoker invoker,
			AbstractCommand as Command command) {
		super.setCommand(invoker, command);
	}
}
