package composite.hk2;

import java.util.Enumeration;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - initially adapted to Object Teams/Java
 * @author Miguel P. Monteiro - second version
 */
public interface IComponent {
//	public abstract Object operation();
	public abstract void addChild(IComponent o);
	public abstract void remove(IComponent o);
	public abstract Enumeration<IComponent> getChildren();
	public abstract IComponent getChild(int index);
	public abstract int getChildCount();
}
