package decorator.jcooper;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import jcooper_support.JxFrame;


/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Window4Decorator extends JxFrame {
	private static final long serialVersionUID = 0L;
	private JButton _quit;

	public Window4Decorator(ButtonDecoratorTeam buttonDecoratorTeam) {
		super("My Button");
		JPanel jp = new JPanel();
		getContentPane().add(jp);
		jp.add(new JButton("button"));
		// jp.add(new CoolDecorator(new JButton("Cbutton")));
		// jp.add( new SlashDecorator(new CoolDecorator(new
		// JButton("Dbutton"))));
		// jp.add( new SlashDecorator(new JButton("Dbutton")));
		// jp.add(new CoolDecorator(new JButton("Dbutton")));
		jp.add(buttonDecoratorTeam.addCoolDecorator(new MyButton("Cbutton")));
		//jp.add(buttonDecoratorTeam.addSlashDecorator(buttonDecoratorTeam.addCoolDecorator(new myButton("Dbutton"))));
		jp.add(buttonDecoratorTeam.addSlashDecorator(new MyButton("Dbutton")));
		jp.add(_quit = new JButton("Quit"));
		_quit.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				System.exit(0);
			}
		});
		setSize(new Dimension(200, 100));
		setVisible(true);
		_quit.requestFocus();
	}
}
