/*
   30 de Jul de 2010
*/
package facade.jcooper;

public class Main {
	private static void printHelpMessage() {
		System.out.println("Design pattern Faade");
		System.out.println();
		System.out.println("Intent: provide a unified interface to a set of interfaces in a");
		System.out.println("subsystem. Facade defines a higher-level interface that makes");
		System.out.println("the subsystem easier to use.");
		System.out.println();
		System.out.println("In this example, the Faade is comprised of classes");
		System.out.println("resultSet (note the lowercase \"r\") and Database.");
		System.out.println("The Faade provides a simple interface to use JDBC.");
	}

	public static void main(String[] args) {
		printHelpMessage();
		DatabaseFacade database = new DatabaseFacade("sun.jdbc.odbc.JdbcOdbcDriver");
		/*Window4FacadeTeam windowTeam =*/ new Window4FacadeTeam(database);
		System.out.println("database is " + database);
	}
}
