package factoryMethod.hk;

import javax.swing.JComponent;
import javax.swing.JLabel;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class LabelCreatorTeam extends GUIComponentCreatorTeam {

	public class Product {
		public JComponent newProduct() {
			JLabel label = new JLabel("This is a JLabel.");
			return label;
		}
		public String getTitle() {
			return "Example 2: A JLabel";
		}
	}

	public Product createProduct() {
		return new Product();
	}
}
