/*
   3 de Nov de 2010
*/
package flyweight.jcooper;

import java.awt.Color;

import flyweight.FlyweightProtocol;
/**
 * @author James Cooper - original scenario in Java
 * @author Miguel P. Monteiro - adaptation to OT/J
 */
public team class FlyweightTeam extends FlyweightProtocol {
	protected class Flyweight playedBy Folder {
	}
	public FlyweightTeam() {
		Color brown = new Color(0x5f5f1c);
		flyweights.put(new Boolean(true), new Flyweight(new Folder(brown)));
		flyweights.put(new Boolean(false), new Flyweight(new Folder(Color.yellow)));
	}
	protected Flyweight createFlyweight(Object key) {
		Flyweight flyweight;
		Boolean bKey = (Boolean) key;
		if(flyweights.containsKey(bKey))
			flyweight = flyweights.get(bKey);
		else {
			throw new RuntimeException("Boolean key " +  bKey + " not found in flyweight hash table.");
		}
		return flyweight;
	}
}
