/*
   2008/07/12
*/
package iterator.jcooper;

import jcooper_support.Support;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Main {
	private static void printHelpMessage() {
		System.out.println("Design pattern Iterator.");
		System.out.println();
		System.out.println("Intent: provide a way to access the elements of an aggregate");
		System.out.println("object sequentially without exposing its underlying representation.");
		System.out.println();
		System.out.println("In this example, team KidDataTeam is the Aggregate");
		System.out.println("and its role is one Iterator.");
		System.out.println("The windows shows all the kids from the list of swimmers on the");
		System.out.println("left side and those belonging to a single club on the right.");
		System.out.println("Some club names: ARAC, CDEV, NCY, NES, OAK, RAC, WYW");
	}

	public static void main(String[] args) {
		printHelpMessage();
		KidDataTeam kidData = new KidDataTeam(Support.FOLDER_LOCATION + "\\" + "50free.txt");
		new Window4Iterator(kidData);
	}
}
