/*
 * Created on 21/Abr/2004
 */
package jcooper_support;

import java.util.Vector;
import javax.swing.AbstractListModel;

/**
 * @author James Cooper, adapted by Miguel P. Monteiro
 */
public class JListData extends AbstractListModel {
	private static final long serialVersionUID = 0L;

	private Vector data;

	public JListData() {
		data = new Vector();
	}
	public int getSize() {
		return data.size();
	}
	public Object getElementAt(int index) {
		return data.elementAt(index);
	}
	public void addElement(String s) {
		data.addElement(s);
		fireIntervalAdded(this, data.size() - 1, data.size());
	}
	public void removeElement(String s) {
		data.removeElement(s);
		fireIntervalRemoved(this, 0, data.size());
	}
	public void clear() {
		int size = data.size();
		data = new Vector();
		fireIntervalRemoved(this, 0, size);
	}
}
