package mediator.jcooper;

import java.awt.event.ActionListener;
import javax.swing.JButton;

import jcooper_support.ICommand;


/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class MoveButton extends JButton implements ICommand {
	private static final long serialVersionUID = 0L;

	public MoveButton(ActionListener fr) {
		super("Copy"); // create the button
		addActionListener(fr); // add its listener
	}

	public void execute() { // execute the copy
	}
}