package memento.jcooper;

import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JPanel;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class JCanvas extends JPanel {
	private static final long serialVersionUID = 0L;
	private Mediator med;

	public JCanvas(Mediator md) {
		med = md;
		med.registerCanvas(this);
		setBackground(Color.white);
	}

	public void paint(Graphics g) {
		super.paint(g);
		med.reDraw(g);
	}
}
