/*
   24 de Mai de 2010
*/
package prototype.hk2;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Miguel P. Monteiro - adapted to Object Teams/Java
 */
public class StringPrototype {
	/**
	 * the string that this object encapsulates
	 */
	protected String text;

	/**
	 * Creates a new StringPrototypeA object with the given string
	 * @param init the initial String for this object
	 */
	public StringPrototype(String init) {
		text = init;
	}

	/**
	 * Changes the string this object encapsulates
	 * @param newText the new text for this object.
	 */
	public void setText(String newText) {
		text = newText;
	}

	/**
	 * Returns a string representation of this object.
	 * @returns a string representation of this object.
	 */
	public String toString() {
		return text;
	}
}
