package proxy.hk;

/**
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public team class RequestCounterTeam /*extends ProxyTeam*/ {
	private int regularRequests = 0;

	protected class Proxy playedBy OutputImplementation {
		protected void handleRequest() {
			regularRequests++;
			System.out.println("[RequestCounter:] That was regular request nr. "
							+ regularRequests);
		}
		handleRequest <- after regularRequest;
	}

}
