package proxy.jcooper;

import java.awt.BorderLayout;
import java.awt.Label;
import javax.swing.JPanel;

import jcooper_support.JxFrame;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class Window4Proxy extends JxFrame {
	private static final long serialVersionUID = 0L;

	public Window4Proxy() {
		super("Display proxied image");
		JPanel p = new JPanel();
		getContentPane().add(p);
		p.setLayout(new BorderLayout());
		MyImage image = new MyImage("files/elliott.JPG", 321, 271);
		p.add("Center", image);
		p.add("North", new Label("    "));
		p.add("West", new Label("  "));
		setSize(370, 350);
		setVisible(true);
	}
}