/*
 * Created on 5/Fev/2004
 */
package singleton.jcooper;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 */
public class SingletonException extends RuntimeException {
	private static final long serialVersionUID = 0L;

	//new exception type for singleton classes
	public SingletonException() {
	   super();
	}
	public SingletonException(String s) {
	   super(s);
	}
}
