/*
   2009/09/04
*/
package templateMethod.jcooper;

import java.awt.Graphics;
import java.util.Vector;
import javax.swing.JPanel;

/**
 * @author James Cooper, adapted and refactored by Miguel P. Monteiro
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class TPanel extends JPanel {
	private static final long serialVersionUID = 0L;

	private Vector<Triangle> triangles;

	public TPanel() {
		triangles = new Vector<Triangle>();
	}

	public void addTriangle(Triangle t) {
		triangles.addElement(t);
	}

	public void paint(Graphics g) {
		for (int i = 0; i < triangles.size(); i++) {
			Triangle triangle = triangles.elementAt(i);
			triangle.draw(g);
		}
	}
}
