package visitor.hk2;

/**
 * Implements a ConcreteElement of the aggregate structure. This is a
 * non-terminal binary tree element.
 * 
 * @author Jan Hannemann, Gregor Kiczales - original Java/AspectJ example
 * @author Joao Gomes - adapted to Object Teams/Java
 */
public class BinaryTreeNode extends TreeNode {
	protected TreeNode left;
	protected TreeNode right;

	public BinaryTreeNode(TreeNode left, TreeNode right) {
		this.left = left;
		this.right = right;
	}
	public TreeNode getLeft() {
		return left;
	}
	public TreeNode getRight() {
		return right;
	}
}
