/*
   22 de Mai de 2010
*/
package visitor.hk2;

public team class SumVisitorTeam {
	protected class ToplevelRole playedBy TreeNode {
		public int getValue() {
			return 0; //this method is not supposed to be called, ever
		}
	}
	protected class TreeLeafRole extends ToplevelRole playedBy BinaryTreeLeaf {
		public abstract int getValue();
		getValue -> getValue;
	}
	protected class TreeNodeRole extends ToplevelRole playedBy BinaryTreeNode {
		public abstract ToplevelRole getLeft();
		getLeft -> getLeft;
		public abstract ToplevelRole getRight();
		getRight -> getRight;

		public int getValue() {
			int res = 0;
			res += getLeft().getValue();
			res += getRight().getValue();
			return res;
		}
	}
	public int sum(TreeNode as ToplevelRole structure) {
		return structure.getValue();
	}
}
